org.apache.flume.interceptor

## Class RegexExtractorInterceptorPassThroughSerializer

- java.lang.Object
- - org.apache.flume.interceptor.RegexExtractorInterceptorPassThroughSerializer

- All Implemented Interfaces:
    Configurable, ConfigurableComponent, RegexExtractorInterceptorSerializer

      public class RegexExtractorInterceptorPassThroughSerializer
      extends Object
      implements RegexExtractorInterceptorSerializer

  Serializer that simply returns the passed in value

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegexExtractorInterceptorPassThroughSerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(ComponentConfiguration conf)`
    `void` | `configure(Context context)` Request the implementing class to (re)configure itself.
    `String` | `serialize(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegexExtractorInterceptorPassThroughSerializer

          public RegexExtractorInterceptorPassThroughSerializer()

  - ### Method Detail

    - #### serialize

          public String serialize(String value)

      Specified by:
        `serialize` in interface `RegexExtractorInterceptorSerializer`
      Parameters:
        `value` - The value extracted by the `RegexExtractorInterceptor`
      Returns:
        The serialized version of the specified value

    - #### configure

          public void configure(Context context)

      Description copied from interface: `Configurable`

      Request the implementing class to (re)configure itself.

      When configuration parameters are changed, they must be reflected by the component asap.

      There are no thread safety guarantees on when configure might be called.

      Specified by:
        `configure` in interface `Configurable`

    - #### configure

          public void configure(ComponentConfiguration conf)

      Specified by:
        `configure` in interface `ConfigurableComponent`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.